# -*- rpm-spec -*-
# $Id: graphviz,v 1.23 2003/01/13 10:48:19 lioka Exp $

Name: graphviz
Version: 1.8.10
Release: alt3

Summary: Graphs visualization tools
License: AT&T open source (see COPYING)
Group: Publishing
Url: http://www.graphviz.org/

Source0: %name-%version.tar.bz2
Source1: %name-license.tar
Patch0: %name-1.8.10-ttfpath.patch
Patch1: %name-1.8.10-tcl.patch
Patch2: %name-1.8.10-libpath.patch
Patch3: %name-1.8.10-gd.patch

BuildRequires: XFree86-devel XFree86-libs autoconf_2.13 automake_1.4 flex freetype2-devel gcc-c++ libcurl-devel libgd2-devel libjpeg-devel libpng-devel libstdc++-devel tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1 xpm-devel zlib-devel

%package devel
Summary: Header files and C programming manual for %name
Group: Development/C
Requires: %name = %version-%release

%package demos
Summary: A collection of programs to demonstrate the features of %name
Group: Publishing
Requires: %name-tcl = %version-%release tk-demos >= 8.4.0-alt1 tcl-gd

%package tcl
Summary: Tcl bindings to %name
Group: Development/Tcl
Requires: tcl >= 8.4.0-alt1 tk >= 8.4.0-alt1

%package -n tcl-gd
Summary: A Tcl bindings for Gd library
Group: Development/Tcl
Requires: tcl >= 8.4.0-alt1

%description
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

%description devel
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package includes header files and C programming manual for %name.

%description demos
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package contains a collection of programs to demonstrate the features
of %name.

%description tcl
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package makes %name functionality accessible from Tcl.

%description -n tcl-gd
Gd is a graphics library for drawing image files in various formats. Gd
allows your code to quickly draw images (lines, arcs, text, multiple colors,
cutting and pasting from other images, flood fills) and write out the result
as a jpeg, png or wbmp file. Gd is particularly useful in web applications,
where jpeg, png or wbmp files are commonly used as inline images.  Note,
however, that gd is not a paint program.

This package provides Tcl bindings for the Gd library.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
%__autoconf
%configure -with-curlincludedir=%_includedir/curl
# SMP-incompatible
%__make

%install
%make_install DESTDIR=%buildroot install
%tea_makeindex -vC %buildroot%_tcldatadir/gd -f libgdtclft.so.0
%__mkdir_p -m0755 %buildroot%_tcldatadir/%name
%__sed 's|^.\+Gdtcl.\+$||; s|\(\$dir \)|\1.. .. .. lib tcl |; s|.so\]|.so.0\]|' \
 < %buildroot%_libdir/%name/pkgIndex.tcl > %buildroot%_tcldatadir/%name/pkgIndex.tcl
%__mv %buildroot%_datadir/%name/demo/*.README .

%files
%doc AUTHORS COPYING BINARY.txt LICENSE.txt MINTERMS.txt README NEWS
%doc doc/*.pdf doc/FAQ* doc/Dot.ref
%_bindir/*
%_libdir/libagraph.so.0*
%_libdir/libcdt.so.0*
%_libdir/libexpr.so.0*
%_libdir/libgraph.so.0*
%_libdir/libpack.so.0*
%_libdir/libpathplan.so.0*
%_datadir/%name/lefty
%_man1dir/*

%files devel
%_includedir/%name
%_libdir/libagraph.la
%_libdir/libagraph.so
%_libdir/libcdt.la
%_libdir/libcdt.so
%_libdir/libexpr.la
%_libdir/libexpr.so
%_libdir/libgraph.la
%_libdir/libgraph.so
%_libdir/libpack.la
%_libdir/libpack.so
%_libdir/libpathplan.la
%_libdir/libpathplan.so
%_man3dir/*
 
%files demos
%doc *.README
%_datadir/%name/demo
%_datadir/%name/graphs

%files tcl
%_tcllibdir/libtcldgl.so.0*
%_tcllibdir/libtcldgr.so.0*
%_tcllibdir/libtcldot.so.0*
%_tcllibdir/libtclplan.so.0*
%_tcllibdir/libtkspline.so.0*
%_tcldatadir/%name
%_mandir/mann/tcl*
%_mandir/mann/tk*

%files -n tcl-gd
%_tcllibdir/libgdtclft.so.0*
%_tcldatadir/gd
%_mandir/mann/gdtclft.n*

%changelog
* Mon Jan 13 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.8.10-alt3
- rebuilt in new env

* Mon Nov 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.10-alt2
- libgd2 now in separate package
- rebuilt with (new) system libgd2

* Mon Oct 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.10-alt1
- 1.8.10
- additional packages separated:
  - libgd2
  - libgd2-devel
  - tcl-gd

* Thu Jul 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.8-alt1
- 1.8.8

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.7.4-alt2
- rebuilt with libpng.so.3

* Wed Jul 11 2001 Peter 'Nidd' Novodvorsky <nidd@altlinux.ru> 1.7.4-alt1
- ALT Linux adaptations.

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-3mdk
- fix word.c

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-2mdk
- bzip2 sources & diff

* Thu Jan  4 2001 Pixel <pixel@mandrakesoft.com> 1.7.4-1mdk
- initial spec

